# SystemException.h File Reference

`#include "tao/orbconf.h"`
`#include "tao/Exception.h"`
`#include "tao/SystemException.inl"`

Include dependency graph for SystemException.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::SystemException
| SystemException. More...

## Defines

#define | TAO_SYSTEM_EXCEPTION(name)

## Typedefs

typedef CORBA::SystemException *(* | excp_factory )(void)

## Enumerations

enum | CompletionStatus { COMPLETED_YES, COMPLETED_NO, COMPLETED_MAYBE }
| Completion status for CORBA system exceptions. More...

## Detailed Description

Id
  SystemException.h,v 1.11 2006/01/16 16:52:08 olli Exp

CORBA::SystemException class header.

Author:
  DOC Group at Vanderbilt U, Wash U, and UCI

  Ossama Othman <ossama@dre.vanderbilt.edu>

## Define Documentation

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

Value:

    class TAO_Export name : public SystemException \
        { \
        public: \
          name (void); \
          name (CORBA::ULong code, \
                CORBA::CompletionStatus completed); \
          static name * _downcast (CORBA::Exception* exception); \
          static name const * _downcast (CORBA::Exception const * exception); \
          virtual void _raise (void) const; \
          virtual CORBA::TypeCode_ptr _tao_type (void) const; \
          static void _tao_any_destructor (void*); \
          virtual CORBA::Exception *_tao_duplicate (void) const; \
          static CORBA::SystemException *_tao_create (void); \
        }; \

## Typedef Documentation

typedef CORBA::SystemException*(* TAO::excp_factory)(void)

## Enumeration Type Documentation

enum CompletionStatus

Completion status for CORBA system exceptions.

Enumerations that denote how an operation was (not) completed when a `CORBA::SystemException` is thrown.

Enumeration values:

  COMPLETED_YES | Successful or exceptional completion.
  COMPLETED_NO | Didn't change any state; retry is OK.
  COMPLETED_MAYBE | Can't say what happened; retry unsafe.